org.apache.lucene.search

## Class BooleanQuery.TooManyClauses

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.search.BooleanQuery.TooManyClauses

All Implemented Interfaces:
  Serializable

Enclosing class:
  BooleanQuery

    public static class BooleanQuery.TooManyClauses
    extends RuntimeException

Thrown when an attempt is made to add more than `BooleanQuery.getMaxClauseCount()` clauses. This typically happens if a PrefixQuery, FuzzyQuery, WildcardQuery, or TermRangeQuery is expanded to many terms during search.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BooleanQuery.TooManyClauses()`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BooleanQuery.TooManyClauses

    public BooleanQuery.TooManyClauses()